<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ltgk.boat.mapper.DsBoatDisciplineMapper">
    <resultMap id="BaseResultMap" type="com.ltgk.boat.domain.entity.DsBoatDiscipline">
        <!--@mbg.generated-->
        <!--@Table ds_boat_discipline-->
        <id column="id" jdbcType="VARCHAR" property="id"/>
        <result column="boat_id" jdbcType="VARCHAR" property="boatId"/>
        <result column="boat_name" jdbcType="VARCHAR" property="boatName"/>
        <result column="boat_code" jdbcType="VARCHAR" property="boatCode"/>
        <result column="boat_owner" jdbcType="VARCHAR" property="boatOwner"/>
        <result column="owner_phone" jdbcType="VARCHAR" property="ownerPhone"/>
        <result column="owner_idcard" jdbcType="VARCHAR" property="ownerIdcard"/>
        <result column="disciplinary_grade" jdbcType="INTEGER" property="disciplinaryGrade"/>
        <result column="disciplinary_period" jdbcType="VARCHAR" property="disciplinaryPeriod"/>
        <result column="disciplinary_reason" jdbcType="VARCHAR" property="disciplinaryReason"/>
        <result column="administrative_penalty" jdbcType="VARCHAR" property="administrativePenalty"/>
        <result column="identification_date" jdbcType="TIMESTAMP" property="identificationDate"/>
        <result column="end_date" jdbcType="TIMESTAMP" property="endDate"/>
        <result column="other_info" jdbcType="VARCHAR" property="otherInfo"/>
        <result column="disciplinary_performance" jdbcType="VARCHAR" property="disciplinaryPerformance"/>
        <result column="del_flag" jdbcType="INTEGER" property="delFlag"/>
        <result column="create_by" jdbcType="VARCHAR" property="createBy"/>
        <result column="create_at" jdbcType="TIMESTAMP" property="createAt"/>
        <result column="update_by" jdbcType="VARCHAR" property="updateBy"/>
        <result column="update_at" jdbcType="TIMESTAMP" property="updateAt"/>
        <result column="remark" jdbcType="VARCHAR" property="remark"/>
    </resultMap>
    <sql id="Base_Column_List">
        <!--@mbg.generated-->
        id, boat_id, boat_name, boat_code, boat_owner, owner_phone, owner_idcard, disciplinary_grade,
        disciplinary_period, disciplinary_reason, administrative_penalty, identification_date,
        end_date, other_info, disciplinary_performance, del_flag, create_by, create_at, update_by,
        update_at, remark
    </sql>
</mapper>